import { axios } from '@/utils/request'
// 梯形图
export const queryUserCount = params => {
  return axios({
    url: `/report/user/queryUserCount`,
    data: params,
    method: 'post'
  })
}
// 注册用户
export const queryStatistics = params => {
  return axios({
    url: `/report/user/queryStatistics`,
    data: params,
    method: 'post'
  })
}
export const registerUserQueryPage = params => {
  const url = `/report/user/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 使用用户
export const useUserStatistics = params => {
  return axios({
    url: `/report/shelf/useUser/statistics`,
    data: params,
    method: 'post'
  })
}
export const useUserQueryPage = params => {
  const url = `/report/shelf/queryShelfUseUserPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 导出
export const exportShelfUseUser = params => {
  return axios({
    url: `/report/shelf/exportShelfUseUser`,
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
// 参数设置查询
export const queryStoreLevelParamMap = params => {
  return axios({
    url: `/bizparam/queryStoreLevelParamMap`,
    data: params,
    method: 'post'
  })
}
export const saveStoreLevelParam = params => {
  return axios({
    url: `/bizparam/saveStoreLevelParam`,
    data: params,
    method: 'post'
  })
}

// 获取货架等级数据
export const queryShelfLevelReport = params => {
  return axios({
    url: `/report/shelf/queryShelfLevelReport`,
    data: params,
    method: 'post'
  })
}

// 获取活跃用户列表数据
export const queryShelfActiveUserPage = params => {
  const url = `/report/shelf/queryShelfActiveUserPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}

// 活跃用户-导出
export const exportShelfActiveUser = params => {
  return axios({
    url: `/report/shelf/exportShelfActiveUser`,
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}

// 活跃用户-统计
export const statistics = params => {
  return axios({
    url: `/report/shelf/activeUser/statistics`,
    data: params,
    method: 'post'
  })
}

// 获取订单数据汇总列表
export const queryShelfOrderReportPage = params => {
  const url = `/report/shelf/queryShelfOrderReportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 订单汇总-统计
export const queryShelfOrderTotalReport = params => {
  return axios({
    url: `/report/shelf/queryShelfOrderTotalReport`,
    data: params,
    method: 'post'
  })
}

// 订单汇总-导出
export const exportShelfOrderReport = params => {
  return axios({
    url: `/report/shelf/exportShelfOrderReport`,
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
