import { axios } from '@/utils/request'

// 删除
export const rewardOrderCancel = params => {
  return axios({
    url: `/rewardOrder/cancelReward`,
    data: params,
    method: 'post'
  })
}
// 批量删除
export const cancelRewardBatch = params => {
  return axios({
    url: `/rewardOrder/cancelRewardBatch`,
    data: params,
    method: 'post'
  })
}
// 导出
export const exportRewardOrder = params => {
  return axios({
    url: `/rewardOrder/product/export`,
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
// 详情
export const rewardOrderDetail = params => {
  return axios({
    url: `/rewardOrder/findById/${params.id}`,
    data: params,
    method: 'get'
  })
}
// 标记已发
export const rewardOrderGiveReward = params => {
  return axios({
    url: `/rewardOrder/giveReward`,
    data: params,
    method: 'post'
  })
}
// 批量标记已发
export const rewardOrderGiveRewardBatch = params => {
  return axios({
    url: `/rewardOrder/giveRewardBatch`,
    data: params,
    method: 'post'
  })
}
// 订单产品列表
export const rewardOrderQueryList = params => {
  return axios({
    url: `/rewardOrder/product/queryList`,
    data: params,
    method: 'post'
  })
}
// 分页列表
export const rewardOrderQueryPage = params => {
  const url = `/rewardOrder/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 汇总
export const rewardOrderQueryCount = params => {
  return axios({
    url: `/rewardOrder/queryCount`,
    data: params,
    method: 'post'
  })
}