import { axios } from '@/utils/request'

// 获取货架列表数据
export const getShelfList = params => {
  const url = `/shelf/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}

// 改变数字货架状态接口
export const updateEnableStatus = params => {
  return axios({
    url: `/shelf/updateState`,
    data: params,
    method: 'post'
  })
}

// 货架详情
export const shelfDetail = params => {
  return axios({
    url: `/shelf/queryBySn/${params.shelfSn}`,
    data: {},
    method: 'post'
  })
}

// 新增/编辑保存货架接口
export const saveShelf = params => {
  return axios({
    url: '/shelf/save',
    data: params,
    method: 'POST'
  })
}

// 下载货位模板
export const shelfHWExport = (params) => {
  return axios({
    url: '/shelf/place/downloadExcel',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
// 解析货位模板
export const shelfHWreadExcel = params => {
  const url = `/shelf/place/readExcel`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 货位列表
export const shelfHWList = params => {
  const url = `/shelf/place/queryList`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 批量保存货位
export const shelfAllSave = params => {
  return axios({
    url: '/shelf/place/saveBatch',
    data: params,
    method: 'POST'
  })
}
// 货位详情
export const shelfHWDetail = params => {
  return axios({
    url: `/shelf/place/queryBySn/${params.shelfPlaceSn}`,
    data: params,
    method: 'post'
  })
}

// 保存结算方式
export const shelfSettleRuleSave = params => {
  return axios({
    url: `/shelf/settleRule/save`,
    data: params,
    method: 'post'
  })
}

// 结算方式详情
export const settleRuleDetail = params => {
  return axios({
    url: `/shelf/settleRule/queryBySnType/${params.shelfSn}/${params.settleType}`,
    method: 'get'
  })
}

// 导入货位
export const exportExcelData = params => {
  return axios({
    url: `/shelf/place/readExcel`,
    data: params,
    method: 'post'
  })
}

// 保存货位
export const saveBatchExcel = params => {
  return axios({
    url: `/shelf/place/saveBatchExcel`,
    data: params,
    method: 'post'
  })
}
// 单个保存货位
export const saveHw = params => {
  return axios({
    url: `/shelf/place/save`,
    data: params,
    method: 'post'
  })
}

/* 货位删除 */
export const delHw = params => {
  return axios({
    url: `/shelf/place/deleteBySn/${params.shelfPlaceSn}`,
    data: params,
    method: 'post'
  })
}
